#!/bin/bash
source VARS
echo -e "deb https://deb.debian.org/debian/ experimental main contrib non-free
deb-src https://deb.debian.org/debian/ experimental main contrib non-free
deb https://deb.debian.org/debian/ sid main contrib non-free
deb-src https://deb.debian.org/debian/ sid main contrib non-free" | sudo tee /etc/apt/sources.list
sudo apt update
sudo apt -y -qq full-upgrade
sudo apt -y -qq install mosh screen curl ssh
sudo sed -i s/^\#PasswordAuthentication\ yes/PasswordAuthentication\ no/g /etc/ssh/sshd_config
sudo sed -i s/^\#PermitEmptyPasswords\ no/PermitEmptyPasswords\ yes/g /etc/ssh/sshd_config
curl $SSH_KEY_URL > $HOME/.ssh/authorized_keys
sudo systemctl restart ssh.service
sudo apt -qq -y install certbot
#sudo apt install python3-certbot-nginx
sudo apt -y -qq install python3-certbot-dns-cloudflare
sudo apt -y -qq install dnsmasq ipset
sudo apt -y -qq install openvpn
sudo apt -y -qq install iodine
sudo apt -y -qq install v2ray
sudo apt -y -qq install shadowsocks-libev
sudo apt -y -qq install ocserv
PASSWD=$(date -u | sha512sum | cut -d" " -f1)
echo $PASSWD | sudo ocpasswd -c /etc/ocserv/passwd $OCUSERNAME
sudo apt -y -qq -t experimental install tor
sudo mkdir -p /etc/tinc
sudo apt -qq -y -t experimental install tinc
sudo apt -y -qq install dnss stubby dnscrypt-proxy
sudo apt -qq -y install stunnel4 obfs4proxy tinyproxy microsocks
sudo apt -qq -y install squid-openssl
